#!/usr/bin/awk
# This is a prerelese version, use it on your own risk!
# Any feature may be changed or removed without notification.
# Redistribution of this file is prohibited. Everyone must obtain it
# directly from http://icebearsoft.euweb.cz/tex/

# Bounding boxes for compressed EPS files
# Copyright (C) Z. Wagner -- Ice Bear Soft, 6 Apr 2002
# Last modification (default mode added) 28 Nov 2004 22:48:18

BEGIN {
  STDERR = "/dev/stderr"
  if (!mode) {
    print "No mode specified, used 'graphicx' as default" > STDERR
    mode = "graphicx"
  }
  if (mode != "epsf" && mode != "graphicx") {
    print "Select mode = 'epsf' or 'graphicx'" > STDERR
    exit
  }
}

# Prepare bounding boxes for use with zwpictures.sty

mode == "epsf" && $1 == "%%BoundingBox:" {
  print "\\DeclarePicture", FILENAME "[" $2, $3, $4, $5 "]"; nextfile
}

# Prepare bounding boxes for use with graphicx.sty
# .eps.bz2 = \DeclareGraphicsRule{.eps.bz2}{eps}{.eps.bbx}{`bzip2 -cdk #1}
# .eps.gz = \DeclareGraphicsRule{.eps.gz}{eps}{.eps.bbx}{`gzip -cd #1}

mode == "graphicx" && $1 == "%%BoundingBox:" {
  print FILENAME
  print > FILENAME ".bbx"; nextfile
}
